CodingErrorAction (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.nio.charset, class: CodingErrorAction
Keywords: java.nio.charset.CodingErrorAction class

# Class CodingErrorAction

java.lang.Object
java.nio.charset.CodingErrorAction

public final class CodingErrorAction extends Object
A typesafe enumeration for coding-error actions.

Instances of this class are used to specify how malformed-input and unmappable-character errors are to be handled by charset decoders and encoders.

Since:
  1.4

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CodingErrorAction`
  `IGNORE`
  Action indicating that a coding error is to be handled by dropping the erroneous input and resuming the coding operation.
  `static final CodingErrorAction`
  `REPLACE`
  Action indicating that a coding error is to be handled by dropping the erroneous input, appending the coder's replacement value to the output buffer, and resuming the coding operation.
  `static final CodingErrorAction`
  `REPORT`
  Action indicating that a coding error is to be reported, either by returning a `CoderResult` object or by throwing a `CharacterCodingException`, whichever is appropriate for the method implementing the coding process.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Returns a string describing this action.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### IGNORE

    public static final CodingErrorAction IGNORE
    Action indicating that a coding error is to be handled by dropping the erroneous input and resuming the coding operation.

  - ### REPLACE

    public static final CodingErrorAction REPLACE
    Action indicating that a coding error is to be handled by dropping the erroneous input, appending the coder's replacement value to the output buffer, and resuming the coding operation.

  - ### REPORT

    public static final CodingErrorAction REPORT
    Action indicating that a coding error is to be reported, either by returning a `CoderResult` object or by throwing a `CharacterCodingException`, whichever is appropriate for the method implementing the coding process.

- ## Method Details

  - ### toString

    public String toString()
    Returns a string describing this action.
    Overrides:
      `toString` in class `Object`
    Returns:
      A descriptive string